OpenTTD Source: CoreTextParagraphLayout::CoreTextLine Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions
CoreTextParagraphLayout::CoreTextLine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for CoreTextParagraphLayout::CoreTextLine:

## Public Member Functions
| CoreTextLine (CFAutoRelease< CTLineRef > line, const FontMap &font_mapping, const CoreTextParagraphLayoutFactory::CharType *buff)
int | GetLeading () const override
| Get the height of the line.
int | GetWidth () const override
| Get the width of this line.
int | CountRuns () const override
const VisualRun & | GetVisualRun (int run) const override
int | GetInternalCharLength (char32_t c) const override

## Detailed Description

A single line worth of VisualRuns.

Definition at line 95 of file string_osx.cpp.

## Constructor & Destructor Documentation

## ◆ CoreTextLine()

CoreTextParagraphLayout::CoreTextLine::CoreTextLine | ( | CFAutoRelease< CTLineRef > | line,
|  | const FontMap & | font_mapping,
|  | const CoreTextParagraphLayoutFactory::CharType * | buff
| ) |  |
| inline

Definition at line 97 of file string_osx.cpp.

## Member Function Documentation

## ◆ CountRuns()

int CoreTextParagraphLayout::CoreTextLine::CountRuns | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 113 of file string_osx.cpp.

## ◆ GetInternalCharLength()

int CoreTextParagraphLayout::CoreTextLine::GetInternalCharLength | ( | char32_t | c | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 116 of file string_osx.cpp.

## ◆ GetLeading()

int CoreTextParagraphLayout::CoreTextLine::GetLeading | ( |  | ) | const
| overridevirtual

Get the height of the line.

Returns
  The maximum height of the line.

Implements ParagraphLayouter::Line.

Definition at line 269 of file string_osx.cpp.

## ◆ GetVisualRun()

const VisualRun & CoreTextParagraphLayout::CoreTextLine::GetVisualRun | ( | int | run | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 114 of file string_osx.cpp.

## ◆ GetWidth()

int CoreTextParagraphLayout::CoreTextLine::GetWidth | ( |  | ) | const
| overridevirtual

Get the width of this line.

Returns
  The width of the line.

Implements ParagraphLayouter::Line.

Definition at line 283 of file string_osx.cpp.

The documentation for this class was generated from the following file:

- src/os/macosx/string_osx.cpp